LANGUAGE = "EN";

Strings = {};
UIOptions = {};

if (Turbine.Shell.IsCommand("spielen")) then
	LANGUAGE = "DE";
end
if (Turbine.Shell.IsCommand("lire")) then
	LANGUAGE = "FR";
end

if (LANGUAGE == "EN") then 
	Strings["babble"] = "babble";
	Strings["cmd_babble_on"] = "on";
	Strings["cmd_babble_off"] = "off";
	Strings["cmd_babble_list"] = "list";
	Strings["cmd_babble_edit"] = "edit";
	Strings["babble_help_on"] = "/babble on - Switch on filtered emotes";
	Strings["babble_help_off"] = "/babble off - Switch off filtered emotes";
	Strings["babble_help_list"] = "/babble list - List currently supported filters";
	Strings["babble_help_edit"] = "/babble edit - Edit settings";
	Strings["babble_status_on"] = "Babble is currently on";
	Strings["babble_status_off"] = "Babble is currently off";
	Strings["babble_version"] = "Babble v";
	Strings["babble_welcome"] = "Babble sends filtered emotes to the Standard channel. For it to be effective you should select 'Change Filters' in the same chat window and turn off Emotes";
	Strings["enable_babble"] = "Enable Babble";
	Strings["list_filters"] = "List Filters";
	Strings["edit_settings"] = "Edit Settings";
	Strings["settings"] = "Settings";
	Strings["emote_list"] = "Emote List";
	Strings["player_names"] = "Player Names";
	Strings["emote_colour"] = "Emote Colour";
	Strings["list_name"] = "List Name";
	Strings["cancel"] = "Cancel";
	Strings["ok"] = "OK";
	Strings["apply"] = "Apply";
	Strings["add"] = "Add";
	Strings["copy"] = "Copy";
	Strings["edit"] = "Edit";
	Strings["remove"] = "Remove";
	Strings["clear_list"] = "Clear List"
	Strings["me"] = "Me";
	Strings["you"] = "You";
	Strings["copy_list"] = "Hold down shift to copy a list";
	Strings["blocked_emote"] = "Blocked Emote";
	Strings["unless_from"] = "Unless from allowed player";
	Strings["unless_to"] = "Unless to allowed player";
	Strings["allowed_players"] = "Allowed Players";
	Strings["add_emote_title"] = "Add Emote";
	Strings["edit_emote_title"] = "Edit Emote";
	Strings["add_emote_message"] = "Enter the emote to block.\nUse * to match any length of text. Use _ to match a single word.";
	Strings["add_name_title"] = "Add Player Name";
	Strings["edit_name_title"] = "Edit Player Name";
	Strings["add_name_message"] = "Enter the name of a player for which blocked emotes may be overridden.\nEnter \"Me\" to represent yourself.";
	Strings["add_name_message_comma"] = "Multiple names can be entered separated with a comma.";
	Strings["emote_exists"] = "Emote already exists";
	Strings["name_exists"] = "Name already exists";
	Strings["names_exists"] = "All names already exists";
	Strings["name_no_commas"] = "Multiple names not allowed when editing a name";
	Strings["default_emote_set"] = "Blocked Emotes Set 1";
	Strings["no_name_list"] = "-- No Players --";
	Strings["list_name_required"] = "List name not specified";
	Strings["at_least_one_emote"] = "At least one blocked emote is required";
	Strings["at_least_one_name"] = "At least one name is required";
	Strings["close_windows"] = "Please close the emote/name windows before attempting to save";
	Strings["changes_made"] = "Warning: Any changes made to emotes, names or colours will not be saved";
	Strings["changes_to_save"] = "Warning: Changes will not be saved until either Apply or OK is clicked";
	Strings["settings_saved"] = "Babble settings saved.";
	Strings["settings_notsaved"] = "Babble settings not saved.";
	
	UIOptions["wide_options_button"] = false;
	UIOptions["wide_settings_label"] = false;
	UIOptions["wide_name_list_label"] = false;
	UIOptions["wide_clear_list_button"] = false;
elseif (LANGUAGE == "DE") then
	Strings["babble"] = "babble";
	Strings["cmd_babble_on"] = "ein";
	Strings["cmd_babble_off"] = "aus";
	Strings["cmd_babble_list"] = "auflisten";
	Strings["cmd_babble_edit"] = "aendern";
	Strings["babble_help_on"] = "/babble ein - Filtern von Emotes einschalten";
	Strings["babble_help_off"] = "/babble aus - Filtern von Emotes ausschalten";
	Strings["babble_help_list"] = "/babble auflisten - Zeigt die Liste der momentan aktiven Emote-Filter";
	Strings["babble_help_edit"] = "/babble aendern - Einstellungen aendern";
	Strings["babble_status_on"] = "Babble ist momentan aktiv";
	Strings["babble_status_off"] = "Babble ist momentan nicht aktiv";
	Strings["babble_version"] = "Babble v";
	Strings["babble_welcome"] = "Babble schreibt gefilterte Emote-Meldungen in den Standardkanal. Im betreffenden Chat-Fenster sollte die Anzeige von Emote-Meldungen ausgeschaltet werden.";
	Strings["enable_babble"] = "Babble aktivieren";
	Strings["list_filters"] = "Filter auflisten";
	Strings["edit_settings"] = "Einstellungen aendern";
	Strings["settings"] = "Einstellungen";
	Strings["emote_list"] = "Emote-Liste";
	Strings["player_names"] = "Charakternamen";
	Strings["emote_colour"] = "Emote-Farbe";
	Strings["list_name"] = "Listenname";
	Strings["cancel"] = "Abbrechen";
	Strings["ok"] = "OK";
	Strings["apply"] = "Anwenden";
	Strings["add"] = "Hinzufuegen";
	Strings["copy"] = "Kopieren";
	Strings["edit"] = "Aendern";
	Strings["remove"] = "Entfernen";
	Strings["clear_list"] = "Liste leeren";
	Strings["me"] = "Ich";
	Strings["you"] = "Du";
	Strings["copy_list"] = "Zum Kopieren einer Liste Shift-Taste gedrueckt halten";
	Strings["blocked_emote"] = "Blockiertes Emote";
	Strings["unless_from"] = "Von nicht er- laubtem Char.";
	Strings["unless_to"] = " Auf nicht er- laubten Char.";
	Strings["allowed_players"] = "Erlaubte Char.";
	Strings["add_emote_title"] = "Emote hinzufuegen";
	Strings["edit_emote_title"] = "Emote aendern";
	Strings["add_emote_message"] = "Zu blockierendes Emote eingeben.\n* steht dabei fuer eine beliebige Zeichenfolge, _ fuer ein einzelnes Wort.";
	Strings["add_name_title"] = "Charaktername hinzufuegen";
	Strings["edit_name_title"] = "Charaktername aendern";
	Strings["add_name_message"] = "Charaktername eingeben, fuer den blockierte Emotes zugelassen werden.\n\"Ich\" fuer aktuellen Charakter verwenden.";
	Strings["add_name_message_comma"] = "Mehrere Namen durch Beistrich trennen.";
	Strings["emote_exists"] = "Emote bereits vorhanden";
	Strings["name_exists"] = "Name bereits vorhanden";
	Strings["names_exists"] = "Alle Namen bereits vorhanden";
	Strings["name_no_commas"] = "Mehrere Namen nicht zulaessig beim Aendern eines Namens";
	Strings["default_emote_set"] = "Blockierte Emotes Liste 1";
	Strings["no_name_list"] = "-- Keine Namen --";
	Strings["list_name_required"] = "Listenname nicht angegeben";
	Strings["at_least_one_emote"] = "Mindestens ein blockiertes Emote erforderlich";
	Strings["at_least_one_name"] = "Mindestens ein Name erforderlich";
	Strings["close_windows"] = "Bitte vor dem Speichern das Emote/Namen-Fenster schliessen ";
	Strings["changes_made"] = "Achtung: Aenderungen von Emotes, Namen oder Farben werden nicht gespeichert";
	Strings["changes_to_save"] = "Achtung: Aenderungen werden erst durch Druecken von Anwenden oder OK gespeichert";
	Strings["settings_saved"] = "Babble-Einstellungen gespeichert.";
	Strings["settings_notsaved"] = "Babble-Einstellungen nicht gespeichert.";
	
	UIOptions["wide_options_button"] = true;
	UIOptions["wide_settings_label"] = false;
	UIOptions["wide_name_list_label"] = true;
	UIOptions["wide_clear_list_button"] = false;
elseif (LANGUAGE == "FR") then
	Strings["babble"] = "babble";
	Strings["cmd_babble_on"] = "activé";
	Strings["cmd_babble_off"] = "désactivé";
	Strings["cmd_babble_list"] = "énumérer";
	Strings["cmd_babble_edit"] = "éditer";
	Strings["babble_help_on"] = "/babble actif - activer des emotes filtrés";
	Strings["babble_help_off"] = "/babble inactif - désactiver des emotes filtrés";
	Strings["babble_help_list"] = "/babble liste - énumérer des filtres soutenu";
	Strings["babble_help_edit"] = "/babble - Éditer les réglages";
	Strings["babble_status_on"] = "Babble est actuellement activé";
	Strings["babble_status_off"] = "Babble est actuellement désactivé";
	Strings["babble_version"] = "Babble version";
	Strings["babble_welcome"] = "Babble envoie emotes filtrés au canal standard. Pour qu'il soit effectif, il faut sélectionner \"changer les filtres\" dans la même fenêtre de chat et désactiver des emotes";
	Strings["enable_babble"] = "Activer Babble";
	Strings["list_filters"] = "Énumérer les filtres";
	Strings["edit_settings"] = "Éditer les réglages";
	Strings["settings"] = "Réglages";
	Strings["emote_list"] = "Liste des emotes";
	Strings["player_names"] = "Noms des joueurs";
	Strings["emote_colour"] = "Couleur d’emote";
	Strings["list_name"] = "Nom de la liste";
	Strings["cancel"] = "Annuller";
	Strings["ok"] = "OK";
	Strings["apply"] = "Valider";
	Strings["add"] = "Ajouter";
	Strings["copy"] = "Copier";
	Strings["edit"] = "Éditer";
	Strings["remove"] = "Supprimer";
	Strings["clear_list"] = "Effacer la liste";
	Strings["me"] = "Moi";
	Strings["you"] = "Vous";
	Strings["copy_list"] = "Maintenez la touche Maj pour copier une liste";
	Strings["blocked_emote"] = "Emote bloqué";
	Strings["unless_from"] = "Sauf d’un joueur autorisé";
	Strings["unless_to"] = "Sauf à un joueur autorisé";
	Strings["allowed_players"] = "Joueurs autorisés";
	Strings["add_emote_title"] = "Ajouter un emote";
	Strings["edit_emote_title"] = "Éditer un emote";
	Strings["add_emote_message"] = "Saisissez l’emote pour bloquer. Utilisez * en place de  toute la longueur du texte. Utilisez _ en place d'un seul mot.";
	Strings["add_name_title"] = "Ajouter le nom de joueur";
	Strings["edit_name_title"] = "Éditer le nom de joueur";
	Strings["add_name_message"] = "Saisissez le nom d’un joueur dont les emotes bloqués peut être outrepassé. Saisissez \"Me\" pour vous representer";
	Strings["add_name_message_comma"] = "On peut saisir les noms multiples séparés avec des virgules";
	Strings["emote_exists"] = "L’emote existe déjà";
	Strings["name_exists"] = "Le nom existe déjà";
	Strings["names_exists"] = "Tous les noms existent déjà";
	Strings["name_no_commas"] = "Les noms multiples ne sont pas permis lors de l’édition d’un nom";
	Strings["default_emote_set"] = "Groupe 1 des emotes bloqués";
	Strings["no_name_list"] = "-- Aucunes joueurs --";
	Strings["list_name_required"] = "Nom de la liste ne pas spécifié";
	Strings["at_least_one_emote"] = "Il faut au moindre d’un emote bloqué";
	Strings["at_least_one_name"] = "Il faut au moindre d’un nom";
	Strings["close_windows"] = "Prière de fermer les fenêtres pour l'emote et nom avant de tenter d'enregistrer";
	Strings["changes_made"] = "Avertissement : Tous les changements faits aux emotes, aux noms ou aux couleurs ne seront pas enregistrés";
	Strings["changes_to_save"] = "Avertissement : Les changements ne seront pas enregistrés jusqu'à ce que \"Activer\" ou \"OK\" est cliqué";
	Strings["settings_saved"] = "Les réglages de babble sont enregistrés";
	Strings["settings_notsaved"] = "Les réglages de babble ne sont pas enregistrés";
	
	UIOptions["wide_options_button"] = true;
	UIOptions["wide_settings_label"] = true;
	UIOptions["wide_name_list_label"] = true;
	UIOptions["wide_clear_list_button"] = true;
end
